# $Revision: 1.31 $, $Date: 2004/06/02 08:19:46 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Date
%define	pnam	ICal
Summary:	Date::ICal - Perl extension for ICalendar date objects
Summary(pl):	Date::ICal - rozszerzenie Perla o obiekty czasu ICalendar
Name:		perl-Date-ICal
Version:	1.72
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	69e10541f5da09fc0f53474073da6744
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Date-Leapyear >= 1.03
BuildRequires:	perl-Test-Simple >= 0.19
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl module Date::ICal talks the ICal date format, and is intended to
be a base class for other date/calendar modules that know about ICal
time format also.

%description -l pl
Modu Perla Date::ICal komunikuje sie za pomoc formatu daty ICal.
Jest on zaprojektowany jako klasa bazowa dla innych moduw
daty/kalendarza, rozumiejcych ICal jako jeden z formatw czasu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorlib}/Date/ICal.pm
%{perl_vendorlib}/Date/ICal
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Date-ICal.spec,v $
Revision 1.31  2004/06/02 08:19:46  ankry
- removed unnecessary R/BR, rel.++

Revision 1.30  2004/05/07 00:35:12  ankry
- rel. 3

Revision 1.29  2004/05/06 18:01:28  ankry
- fixed perl-devel BR

Revision 1.28  2004/04/25 00:50:53  ankry
- cosmetics: unification

Revision 1.27  2004/04/20 10:14:36  ankry
- new bconds

Revision 1.26  2004/04/14 14:44:03  ankry
- fixed License

Revision 1.25  2004/04/14 14:13:28  ankry
- better %description

Revision 1.24  2003/09/09 10:24:33  ankry
- spaces -> tab

Revision 1.23  2003/08/18 08:08:41  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.22  2003/05/28 13:00:33  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.19  2003/03/01 18:05:27  radek
- should be ready for perl-5.8.0; release++

Revision 1.18  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.17  2003/02/18 15:31:17  ankry
- massive attack: change CPAN URLs

Revision 1.16  2003/02/05 16:18:06  ankry
- autoupdated to 1.72

Revision 1.15  2002/09/26 15:26:45  ankry
- version 1.70
- added tests on bcond, cleaning

Revision 1.14  2002/07/20 10:19:08  qboosh
- added BRs

Revision 1.13  2002/07/11 11:43:42  qboosh
- new %%doc, cosmetics

Revision 1.12  2002/07/11 07:58:22  depesz
- new version; should work; STBR

Revision 1.11  2002/07/10 08:46:57  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.10  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.9  2002/02/25 10:30:35  depesz
cleanup; revision++

Revision 1.8  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/13 14:11:02  depesz
automatic: Source location unified, Relase Up

Revision 1.6  2002/02/10 15:25:07  depesz
adapterized

Revision 1.5  2002/01/18 02:14:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2002/01/08 09:19:28  qboosh
- added pl description, release 2

Revision 1.3  2002/01/06 05:36:46  kloczek
- release 1.

Revision 1.2  2002/01/05 08:12:48  agaran
fix in %%files

Revision 1.1  2002/01/05 08:09:08  agaran
initial
